#include "decision.h"

#include <string.h>


namespace robot {
namespace decision {



std::string Decision::Name() const { return "decision"; }

int Decision::Init(){

    LOG(INFO)<<Name()<<":Decision init...";
    Database::InitDB();
    Database::InsertActionDirective("1",1,"1",1);
    Database::InsertLocationMap(0.1,0.1,0.1,0.1,0.1,0.1,"1",0.1,0.1);
    Database::InsertLocationRuleInfo("1",1,0.1,0.1,0.1,0.1);
    Database::UpdateActionDirective("1",1,2);
    Database::UpdateLocationMap(0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,"1");
//    Database::DeleteActionDirective("1");
    Database::DeleteActionDirective(1);
    Database::DeleteLocationMap("1");
//    Database::DeleteLocationRuleInfo("1");
    Database::DeleteLocationRuleInfo(1);
    return 0;

    LOG(INFO)<<Name()<<"Decision init...";
    return ROBOT_SUCCESS;

}

int Decision::Start(){
    LOG(INFO)<<"Decision start...";
//    ros::Subscriber sub = node_handle_->subscribe("canDataAnalysis", 20000, RTKLocationCallback);
    ros::spin();
    return ROBOT_SUCCESS;
}

void Decision::Stop(){
    LOG(INFO)<<Name()<<":Decision stop...";
    return ;
}



}
}

